post.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Unary
| Int for unary resources

## Functions

template<class ManTask>
ExecStatus | Gecode::Int::Unary::manpost (Home home, TaskArray< ManTask > &t, IntPropLevel ipl)
| Post mandatory task propagator according to propagation level.
template<class OptTask>
ExecStatus | Gecode::Int::Unary::optpost (Home home, TaskArray< OptTask > &t, IntPropLevel ipl)
| Post optional task propagator according to propagation level.